Bug 740903 - Trying to add a repo without providing a name returns messy error mesg.
Summary: Trying to add a repo without providing a name returns messy error mesg.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Shannon Hughes
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-09-23 17:50 UTC by Corey Welton
Modified: 2019-09-26 13:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:57:57 UTC


Attachments (Terms of Use)

Description Corey Welton 2011-09-23 17:50:07 UTC
Description of problem:
If user tries to create a repo w/o providing a name for said repo, an error is returned that is confusing to the user

Version-Release number of selected component (if applicable):

Katello Version: 0.1.84-1.git.0.02da736.fc15

How reproducible:


Steps to Reproduce:
1. Create a new custom Provider (if necessary)
2. Create a new Product in this Provider, "Google"
3. Attempt to create a new repo within the "Google" provider. Do /not/ enter a name for this repo; for the URL, enter "http://dl.google.com/linux/chrome/rpm/stable/x86_64"
4. submit
  
Actual results:
Error message - 
Pulp::Repository: 401 Unauthorized "Invalid OAuth Credentials" (GET /pulp/api/repositories/?groupid=env%3A1&name=)

Expected results:
Something more user friendly and/or correct?

Additional info:
If user enters valid string for name and an URL, creation seems to work

Comment 1 Shannon Hughes 2012-01-05 15:24:03 UTC
this is fixed in latest build as of katello-0.1.164-1. moving to modified for testing

Comment 2 Corey Welton 2012-01-11 20:48:47 UTC
QA Verified


Note You need to log in before you can comment on or make changes to this bug.